Bug 732348 - btrfs: kernel BUG at fs/btrfs/inode.c:6959
Summary: btrfs: kernel BUG at fs/btrfs/inode.c:6959
Keywords:
Status: CLOSED DUPLICATE of bug 698324
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.2
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Josef Bacik
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-22 05:51 UTC by Eryu Guan
Modified: 2012-06-07 14:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-07 14:22:23 UTC


Attachments (Terms of Use)

Description Eryu Guan 2011-08-22 05:51:24 UTC
Description of problem:
Rrunning fsstress via NFS(localhost mounted) and btrfs as the backend fs(loop mounted)

fsstress -d /mnt/testarea/client -p 1000 -n 100 -v > ./fsstress.log

btrfs failed to delete reference to c0, inode 265 parent 262 
------------[ cut here ]------------ 
kernel BUG at fs/btrfs/inode.c:6959! 
invalid opcode: 0000 [#1] SMP  
last sysfs file: /sys/module/nfsd/initstate 
CPU 1  
Modules linked in: btrfs(T) zlib_deflate lzo_decompress lzo_compress libcrc32c nfs fscache nfsd lockd nfs_acl auth_rpcgss xfs exportfs sunrpc p4_clockmod freq_table speedstep_lib ipv6 ppdev parport_pc parport tg3 microcode dcdbas i2c_i801 serio_raw sg iTCO_wdt iTCO_vendor_support shpchp ext4 mbcache jbd2 sd_mod crc_t10dif sr_mod cdrom ahci pata_acpi ata_generic ata_piix i915 drm_kms_helper drm i2c_algo_bit i2c_core video output dm_mirror dm_region_hash dm_log dm_mod [last unloaded: mperf] 
 
Pid: 14884, comm: nfsd Tainted: G           ---------------- T 2.6.32-191.el6.x86_64 #1 Dell Computer Corporation PowerEdge 800/0G7255 
RIP: 0010:[<ffffffffa0699d76>]  [<ffffffffa0699d76>] btrfs_rename+0x556/0x5a0 [btrfs] 
RSP: 0018:ffff880081967bc0  EFLAGS: 00010282 
RAX: 00000000fffffffe RBX: 000000001bdf2d83 RCX: 0000000000002558 
RDX: 0000000000000004 RSI: ffff880062b50eb0 RDI: 0000000000000286 
RBP: ffff880081967c80 R08: ffffffff81c00500 R09: 0000000000000000 
R10: 0000000000000000 R11: 64656c6961662073 R12: 000000004e51d51e 
R13: ffff88005a749d90 R14: 0000000000000000 R15: ffff8800ccb9f740 
FS:  0000000000000000(0000) GS:ffff880002300000(0000) knlGS:0000000000000000 
CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b 
CR2: 00007f57209137b4 CR3: 00000000cb5e7000 CR4: 00000000000006e0 
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000 
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400 
Process nfsd (pid: 14884, threadinfo ffff880081966000, task ffff8800c8480b00) 
Stack: 
 0000000000000003 0000000000000000 0000000000000000 0000000000000000 
<0> 0000000000000000 ffff880096d75fa0 0000000000000000 ffff8800cb7d7800 
<0> ffff8800cb7d7800 ffff88005a7495c0 ffff88006a76f9c0 ffff88005a749d90 
Call Trace: 
 [<ffffffff81183c0b>] vfs_rename+0x3ab/0x440 
 [<ffffffffa0569180>] nfsd_rename+0x430/0x4a0 [nfsd] 
 [<ffffffffa0572671>] nfsd3_proc_rename+0xd1/0x1a0 [nfsd] 
 [<ffffffffa0573d05>] ? decode_fh+0x55/0x80 [nfsd] 
 [<ffffffffa0573f5c>] ? decode_filename+0x1c/0x70 [nfsd] 
 [<ffffffffa056443e>] nfsd_dispatch+0xfe/0x240 [nfsd] 
 [<ffffffffa03935a4>] svc_process_common+0x344/0x640 [sunrpc] 
 [<ffffffff8105f740>] ? default_wake_function+0x0/0x20 
 [<ffffffffa0393be0>] svc_process+0x110/0x160 [sunrpc] 
 [<ffffffffa0564b62>] nfsd+0xc2/0x160 [nfsd] 
 [<ffffffffa0564aa0>] ? nfsd+0x0/0x160 [nfsd] 
 [<ffffffff81090806>] kthread+0x96/0xa0 
 [<ffffffff8100c10a>] child_rip+0xa/0x20 
 [<ffffffff81090770>] ? kthread+0x0/0xa0 
 [<ffffffff8100c100>] ? child_rip+0x0/0x20 
Code: ff ff 48 8b b5 78 ff ff ff e8 c7 f7 ff ff 48 8b 95 70 ff ff ff 83 7a 4c 00 0f 85 88 fe ff ff 0f 0b eb fe 0f 0b eb fe 0f 0b eb fe <0f> 0b 0f 1f 84 00 00 00 00 00 eb f6 48 8b 75 90 48 8b 81 68 fe  
RIP  [<ffffffffa0699d76>] btrfs_rename+0x556/0x5a0 [btrfs] 
 RSP <ffff880081967bc0> 
---[ end trace c10e4ef96ae5e506 ]--- 
Kernel panic - not syncing: Fatal exception 
Pid: 14884, comm: nfsd Tainted: G      D    ---------------- T 2.6.32-191.el6.x86_64 #1 
Call Trace: 
 [<ffffffff814eb57e>] ? panic+0x78/0x143 
 [<ffffffff814ef714>] ? oops_end+0xe4/0x100 
 [<ffffffff8100f22b>] ? die+0x5b/0x90 
 [<ffffffff814eefe4>] ? do_trap+0xc4/0x160 
 [<ffffffff8100cdf5>] ? do_invalid_op+0x95/0xb0 
 [<ffffffffa0699d76>] ? btrfs_rename+0x556/0x5a0 [btrfs] 
 [<ffffffff814eb68a>] ? printk+0x41/0x47 
 [<ffffffff8100be9b>] ? invalid_op+0x1b/0x20 
 [<ffffffffa0699d76>] ? btrfs_rename+0x556/0x5a0 [btrfs] 
 [<ffffffff81183c0b>] ? vfs_rename+0x3ab/0x440 
 [<ffffffffa0569180>] ? nfsd_rename+0x430/0x4a0 [nfsd] 
 [<ffffffffa0572671>] ? nfsd3_proc_rename+0xd1/0x1a0 [nfsd] 
 [<ffffffffa0573d05>] ? decode_fh+0x55/0x80 [nfsd] 
 [<ffffffffa0573f5c>] ? decode_filename+0x1c/0x70 [nfsd] 
 [<ffffffffa056443e>] ? nfsd_dispatch+0xfe/0x240 [nfsd] 
 [<ffffffffa03935a4>] ? svc_process_common+0x344/0x640 [sunrpc] 
 [<ffffffff8105f740>] ? default_wake_function+0x0/0x20 
 [<ffffffffa0393be0>] ? svc_process+0x110/0x160 [sunrpc] 
 [<ffffffffa0564b62>] ? nfsd+0xc2/0x160 [nfsd] 
 [<ffffffffa0564aa0>] ? nfsd+0x0/0x160 [nfsd] 
 [<ffffffff81090806>] ? kthread+0x96/0xa0 
 [<ffffffff8100c10a>] ? child_rip+0xa/0x20 
 [<ffffffff81090770>] ? kthread+0x0/0xa0 
 [<ffffffff8100c100>] ? child_rip+0x0/0x20 
panic occurred, switching back to text console 

Version-Release number of selected component (if applicable):
kernel-2.6.32-191.el6

How reproducible:
Unknown

Steps to Reproduce:
1. yum install rh-tests-kernel-filesystems-ltp-fsstress -y
2. cd /mnt/tests/kernel/filesystems/ltp-fsstress/
3. TEST_PARAM_FSTYPE=btrfs TEST_PARAM_STRESSTYPE=nfs make run
  
Actual results:
panic

Expected results:
test pass

Additional info:
A failed beaker job:
https://beaker.engineering.redhat.com/recipes/251931
Console Log:
http://beaker-archive.app.eng.bos.redhat.com/beaker-logs/2011/08/1223/122395/251931//console.log

Comment 2 Eryu Guan 2011-08-22 05:53:20 UTC
Seems this is a dup of bug 731949, they all hit BUG_ON after btrfs_unlink_inode()

Comment 3 RHEL Product and Program Management 2011-10-07 15:45:40 UTC
Since RHEL 6.2 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.

Comment 4 Josef Bacik 2012-06-07 14:22:23 UTC

*** This bug has been marked as a duplicate of bug 698324 ***


Note You need to log in before you can comment on or make changes to this bug.